# Poco

# class FileExistsException

Library: Foundation
Package: Core
Header: Poco/Exception.h

## Inheritance

Direct Base Classes: FileException

All Base Classes: Exception, FileException, IOException, RuntimeException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### FileExistsException

FileExistsException(
int code = 0
);

### FileExistsException

FileExistsException(
const FileExistsException & exc
);

### FileExistsException

FileExistsException(
const std::string & msg,
int code = 0
);

### FileExistsException

FileExistsException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### FileExistsException

FileExistsException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~FileExistsException

~FileExistsException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::FileException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::FileException::name()

### operator =

FileExistsException & operator = (
const FileExistsException & exc
);

### rethrow

void rethrow() const;

See also: Poco::FileException::rethrow()